bm::operation_functions< T > Struct Template Reference

`#include <bmfunc.h>`

## Static Public Member Functions

static gap_operation_to_bitset_func_type | gap_op_to_bit (unsigned i)
static gap_operation_func_type | gap_operation (unsigned i)
static bit_operation_count_func_type | bit_operation_count (unsigned i)

## Static Public Attributes

static gap_operation_to_bitset_func_type | gap2bit_table_ [bm::set_END]
static gap_operation_func_type | gapop_table_ [bm::set_END]
static bit_operation_count_func_type | bit_op_count_table_ [bm::set_END]

## Detailed Description

template<bool T>
struct bm::operation_functions< T >

Definition at line 9552 of file bmfunc.h.

## Member Function Documentation

## bit_operation_count()

template<bool T>

bit_operation_count_func_type bm::operation_functions< T >::bit_operation_count | ( | unsigned | i | ) |

inline static

Definition at line 9574 of file bmfunc.h.

References bit_op_count_table_.

Referenced by bm::combine_count_operation_with_block().

## gap_op_to_bit()

template<bool T>

gap_operation_to_bitset_func_type bm::operation_functions< T >::gap_op_to_bit | ( | unsigned | i | ) |

inline static

Definition at line 9562 of file bmfunc.h.

References gap2bit_table_.

Referenced by bm::bvector< Alloc >::combine_operation_with_block().

## gap_operation()

template<bool T>

gap_operation_func_type bm::operation_functions< T >::gap_operation | ( | unsigned | i | ) |

inline static

Definition at line 9568 of file bmfunc.h.

References gapop_table_.

Referenced by bm::bvector< Alloc >::combine_operation_with_block().

## Field Documentation

## bit_op_count_table_

template<bool T>

bit_operation_count_func_type bm::operation_functions< T >::bit_op_count_table_[bm::set_END]

static

Definition at line 9559 of file bmfunc.h.

Referenced by bit_operation_count().

## gap2bit_table_

template<bool T>

gap_operation_to_bitset_func_type bm::operation_functions< T >::gap2bit_table_[bm::set_END]

static

Definition at line 9555 of file bmfunc.h.

Referenced by gap_op_to_bit().

## gapop_table_

template<bool T>

gap_operation_func_type bm::operation_functions< T >::gapop_table_[bm::set_END]

static

Definition at line 9557 of file bmfunc.h.

Referenced by gap_operation().

The documentation for this struct was generated from the following file:

- bmfunc.h